<back to all web services

GetRelatedItems

The following routes are available for this service:
GET/RestApi/translations/related
import java.math.*;
import java.util.*;
import java.io.InputStream;
import net.servicestack.client.*;

public class dtos
{

    public static class GetRelatedItems
    {
        public ArrayList<UUID> Ids = null;
        
        public ArrayList<UUID> getIds() { return Ids; }
        public GetRelatedItems setIds(ArrayList<UUID> value) { this.Ids = value; return this; }
    }

    public static class RelatedItemsProxy
    {
        public Integer TranslationsCount = null;
        public Integer ProjectsCount = null;
        
        public Integer getTranslationsCount() { return TranslationsCount; }
        public RelatedItemsProxy setTranslationsCount(Integer value) { this.TranslationsCount = value; return this; }
        public Integer getProjectsCount() { return ProjectsCount; }
        public RelatedItemsProxy setProjectsCount(Integer value) { this.ProjectsCount = value; return this; }
    }

}

Java GetRelatedItems DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .csv suffix or ?format=csv

HTTP + CSV

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

GET /RestApi/translations/related HTTP/1.1 
Host: www.imglobal.com 
Accept: text/csv
HTTP/1.1 200 OK
Content-Type: text/csv
Content-Length: length

{"TranslationsCount":0,"ProjectsCount":0}